Bug 581668 - Traceback if queue is deleted while changing device or driver
Summary: Traceback if queue is deleted while changing device or driver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2c626799
Depends On:
Blocks: 590056
TreeView+ depends on / blocked
 
Reported: 2010-04-12 22:10 UTC by Tom Deering
Modified: 2010-07-27 02:52 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.1.19-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 590056 (view as bug list)
Environment:
Last Closed: 2010-07-27 02:52:39 UTC


Attachments (Terms of Use)
File: backtrace (501 bytes, text/plain)
2010-04-12 22:10 UTC, Tom Deering
no flags Details

Description Tom Deering 2010-04-12 22:10:24 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: python /usr/share/system-config-printer/system-config-printer.py
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.32.11-99.fc12.i686
package: system-config-printer-1.1.18-2.fc12
reason: system-config-printer.py:6791:on_btnNPApply_clicked:AttributeError: 'NoneType' object has no attribute 'name'
release: Fedora release 12 (Constantine)

backtrace
-----
system-config-printer.py:6791:on_btnNPApply_clicked:AttributeError: 'NoneType' object has no attribute 'name'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 6791, in on_btnNPApply_clicked
    name = self.mainapp.printer.name
AttributeError: 'NoneType' object has no attribute 'name'

Local variables in innermost frame:
widget: <gtk.Button object at 0x925b11c (GtkButton at 0x94356d8)>
self: <__main__.NewPrinterGUI instance at 0x924f9ec>

Comment 1 Tom Deering 2010-04-12 22:10:26 UTC
Created attachment 406096 [details]
File: backtrace

Comment 2 Tim Waugh 2010-04-22 11:31:08 UTC
How to reproduce:

1. lpadmin -p foo -m drv:///sample.drv/generic.ppd
2. Start system-config-printer
3. Double-click on 'foo'
4. Click either of the 'Change...' buttons
5. Continue clicking 'Forward' until the button changes to 'Apply'
6. lpadmin -x foo
7. Click 'Apply'

Solution is to close the NewPrinterGUI window as well as the PrinterPropertiesDialog window if a queue is deleted.

Comment 6 Fedora Update System 2010-05-18 14:51:32 UTC
system-config-printer-1.1.19-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc11

Comment 7 Fedora Update System 2010-05-18 14:53:46 UTC
system-config-printer-1.1.19-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc12

Comment 8 Fedora Update System 2010-05-19 19:16:34 UTC
system-config-printer-1.1.19-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc11

Comment 9 Fedora Update System 2010-05-19 19:21:08 UTC
system-config-printer-1.1.19-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc12

Comment 10 Fedora Update System 2010-06-29 15:30:55 UTC
system-config-printer-1.1.19-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-3.fc12

Comment 11 Fedora Update System 2010-07-27 02:51:29 UTC
system-config-printer-1.1.19-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.